Subject: bug#19387: closed (Re: bug#19387: SVN VC backend is unbearably slow on larger repositories)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 18 Dec 2014 13:51:02 +0000

Your bug report

#19387: SVN VC backend is unbearably slow on larger repositories

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19387: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19387
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19387: SVN VC backend is unbearably slow on larger repositories
From: Dmitry Gutov <[email-masked]>
To: Paul Pogonyshev <[email-masked]>
Cc: [email-masked]
Date: Thu, 18 Dec 2014 15:50:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Paul Pogonyshev <[email-masked]> writes:

> When I 'C-x v d' my working directory in a recent Emacs, it prints
> "Traversing directory: ..." and goes through the whole repository. I have
> no idea what it looks for. After about 1 minute of waiting I C-g'd it.

The patch has been applied. The feature seems to work now, but please 
double-check.

Subject: SVN VC backend is unbearably slow on larger repositories
From: Paul Pogonyshev <[email-masked]>
To: [email-masked]
Date: Mon, 15 Dec 2014 16:14:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

When I 'C-x v d' my working directory in a recent Emacs, it prints
"Traversing directory: ..." and goes through the whole repository. I have
no idea what it looks for. After about 1 minute of waiting I C-g'd it.

It used to work instantly (well, in under 2 seconds anyway) a couple of
weeks ago; don't remember more precisely.

Version: GNU Emacs 25.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version
3.10.9) of 2014-12-15

Paul